From 744cb8dd010d61bef46f9623511a253429bb46cb Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 19:45:28 -0500
Subject: [PATCH 07/17] avoid shadow vars: parse_jsontable.c: jtc

backpatch to v15

commit fadb48b00e02ccfd152baa80942de30205ab3c4f
Author: Andrew Dunstan <andrew@dunslane.net>
Date:   Tue Apr 5 14:09:04 2022 -0400

    PLAN clauses for JSON_TABLE
---
 src/backend/parser/parse_jsontable.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/parser/parse_jsontable.c b/src/backend/parser/parse_jsontable.c
index bc3272017ef..c2318b126f2 100644
--- a/src/backend/parser/parse_jsontable.c
+++ b/src/backend/parser/parse_jsontable.c
@@ -341,9 +341,9 @@ transformJsonTableChildPlan(JsonTableContext *cxt, JsonTablePlan *plan,
 		/* transform all nested columns into cross/union join */
 		foreach(lc, columns)
 		{
-			JsonTableColumn *jtc = castNode(JsonTableColumn, lfirst(lc));
 			Node	   *node;
 
+			jtc = castNode(JsonTableColumn, lfirst(lc));
 			if (jtc->coltype != JTC_NESTED)
 				continue;
 
-- 
2.17.1

